/**
 * ModServ IRC Services
 * Version 2009
 * Copyright (C) 2007, 2008 Christian Jurk <commx@commx.ws>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3 of the License,
 * or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __MS_CONFIGREADER_H
#define __MS_CONFIGREADER_H

#define MSTR_DEFAULTCONFIG  "modserv.conf"

#include <QHash>
#include <QString>
#include <QStringList>

class MConfigReader {
  private:
    QHash<QString, QString> m_hashItems;
    QStringList m_moduleList;

  public:
    MConfigReader(const QString &strConfigFile = MSTR_DEFAULTCONFIG);
    void readFile(const QString &strFile);
    QString get(QString strKey, QString strDefaultValue = QString(""));
    void set(QString strKey, QString strValue);
    QStringList getModuleList(void);
};
#endif /* __MS_CONFIGREADER_H */
